## org.firebirdsql.gds.impl.wire
Class WireXdrInputStream

    java.lang.Object
      org.firebirdsql.gds.impl.wire.XdrInputStream
          org.firebirdsql.gds.impl.wire.WireXdrInputStream

    public class WireXdrInputStream

extends XdrInputStream

Improved version of the `XdrInputStream` that can read some data directly in `isc_db_handle_impl` object, this reduces garbage produced by the similar method in superclass.

Field Summary

Fields inherited from class org.firebirdsql.gds.impl.wire.XdrInputStream
`buf, count, defaultBufferSize, in, pad, pos`

Constructor Summary
`WireXdrInputStream()`
`WireXdrInputStream(InputStream in)`

Method Summary
`int` `readBuffer(isc_db_handle_impl dbHandle)`

Methods inherited from class org.firebirdsql.gds.impl.wire.XdrInputStream
`close, read, readBuffer, readFully, readInt, readLong, readRawBuffer, readShort, readSQLData, readString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WireXdrInputStream

    public WireXdrInputStream()

### WireXdrInputStream

    public WireXdrInputStream(InputStream in)

Method Detail

### readBuffer

    public int readBuffer(isc_db_handle_impl dbHandle)
                   throws IOException

  Throws:
    `IOException`

Copyright © 2001-2010. All Rights Reserved.